put
https://api.caas.staging.bancocdc.com.br/client/pf//
The update route is responsible for modifying the information of an existing Legal Entity (PF) client.
Attention point:
- To consume the route it is necessary to pass the client code as a parameter.
Identification Types
| Value | Description |
|---|---|
| 1 | RG |
| 2 | CNH |
Civil Status Types
| Value | Description |
|---|---|
| 1 | Single |
| 2 | Married |
| 3 | Divorced |
| 4 | Widower |
Type of education
| Value | Description |
|---|---|
| 1 | Unemployed |
| 2 | Retired |
| 3 | Salaried |
| 4 | Autonomous |
| 5 | DO LAR |
| 6 | Businessman |
| 7 | Trainee |
| 8 | Student |
| 9 | Pensioner |
| 10 | Rural Producer |
| 11 | Not Declared |
Types of Scholarity
| Code | Description |
|---|---|
| 1 | Incomplete Elementary Education |
| 2 | Complete Elementary Education |
| 3 | Incomplete Secondary Education |
| 4 | Complete Secondary Education |
| 5 | Technical Education |
| 6 | Technologist |
| 7 | Incomplete Higher Education |
| 8 | Complete Higher Education |
| 9 | Post-Graduate |
| 10 | Master's Degree |
| 11 | Doctorate |
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-10 | Please provide the correct document. |
| 400 | 400-11 | Error registering. |
| 401 | 401-05 | Unauthorized or token invalid. |
| 406 | 406-01 | User was not found. |
| 406 | 406-03 | field 'X' is mandatory and was not informed. |
| 409 | 409-01 | Customer already registered on the base. |
| 429 | 429-01 | Too many requests. |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | string | Code of the request made |
| return | boolean | Indicates if the request was successful |
| return_code | string | Return code of the request |
| message | string | Message indicating the success of the request |